+ Post New Thread
Page 1 of 630 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 15738

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 79,633
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 69,997
    18th Sep 2006 10:46 pm Go to last post
  1. lisp for bars bending factors

    kindly i need help to make lisp help to do fillet as per bars diameter as below example . when i type 6 fillet radius to be 20 when 8 fillet radius 24 when 10 fillet radius 32 when 12 fillet...

    Started by wrha‎, Yesterday 01:38 pm
    • Replies: 7
    • Views: 163
    Today 04:01 pm Go to last post
  2. how to Merge closed polylines

    Greetings Everyone i need to know how to do that via lisp a selection set of 3 closed polylines to 1 merged polyline these closed polylines may have arcs , bulges or circular segments ...

    Started by handasa‎, Today 10:34 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 109
    Today 03:53 pm Go to last post
  3. Help required on changing text to readable angle

    Hi Friends, Attached lisp is provided by Bigal, its working fine, Now i want to rotate text1 & text2 to readable angle. Please check the attached lisp & help me in changing it. ...

    Started by amb2301‎, Yesterday 10:08 pm
    • Replies: 4
    • Views: 136
    Today 03:48 pm Go to last post
  4. Question How about lisp to find same texts in drawing

    Sorry but i found many many topic in there but not work for me until now. All I looking for is a lisp that can find same mtext (ex: i have mtext 28-00988_44332, it appear so many time in drawing)...

    Started by ngolynguyen‎, 20th Oct 2017 08:37 am
    • Replies: 9
    • Views: 212
    Today 02:41 pm Go to last post
  5. Theoretical and actual Point X and Y differeces!

    I need autolisp that can calculate differences between theoretical point and actualpoint and draw arrows and put x;y values. NB! Look attachment!

    Started by Margusrebase‎, 19th Oct 2017 11:24 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 261
    Today 12:47 pm Go to last post
  6. select inside of a polyline

    Hello everybody, Is it possible to select inside of a polyline? Thanks!

    Started by flopo‎, 2nd Feb 2010 11:25 am
    • Replies: 8
    • Views: 24,496
    Today 12:00 pm Go to last post
  7. Explode all dynamic blocks except......

    I made a lisp routine to explode all dynamic blocks except "DOORMODEL1,DOORMODEL2". but it does not work, what is the problem? The selection? Can someone help me? (defun c:test () (sssetfirst...

    Started by pmxcad‎, 21st Oct 2017 07:20 pm
    • Replies: 4
    • Views: 190
    Today 11:59 am Go to last post
  8. Midpoint of a line Export to CSV

    i have a list here that exports XYZ Length Angle But now i want to export only the MidPoint of every Line, can someone Help Me? (defun c:LINEEXTRACTION ( / d e f i s spt ept) (if (and (setq...

    Started by ktbjx‎, 21st Oct 2017 02:29 am
    • Replies: 2
    • Views: 146
    Today 11:38 am Go to last post
  9. Help lisp autonumber Attribute

    Hi, everybody. Please help me lisp Select polyline and autonumber Attribute with circle 7.5. Thank you very much. File attach:

    Started by minhphuong_humg‎, Today 11:34 am
    • Replies: 0
    • Views: 49
    Today 11:34 am Go to last post
  10. Polygon area LISP needs editing

    Hello all, this is my first post so I hope I don't screw this up. My company uses a LISP routine to calculate areas of polygons in our drawings. ;; local defun ;; get center of closed object...

    Started by lmcgill2‎, 1st Mar 2011 05:08 pm
    • Replies: 9
    • Views: 6,869
    Today 08:20 am Go to last post
  11. Need to get into Description key sets CIV3D

    I have posted here in lisp as its a programming question not generic CIV3D. I am trying to get into the Description key sets so I can change layer names, we are looking at a new way of processing...

    Started by BIGAL‎, 29th Sep 2017 01:31 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 438
    Today 07:14 am Go to last post
  12. Potentially large database

    I'm looking for the best way to store lots of data. We have a simple product that has thousands of different possible configurations, as there are 6 size variables to it each with a potentially no...

    Started by dan113‎, 20th Oct 2017 10:32 pm
    • Replies: 9
    • Views: 258
    Today 06:44 am Go to last post
  13. A question about DCL

    Hello again Masters and Legends, I'm currently learning DCL right now thru Afralisp.net and some autodesk forum topics. From their examples, a DCL file is paired with a LSP file to work. For...

    Started by Russello‎, 21st Oct 2017 04:15 pm
    • Replies: 4
    • Views: 197
    Yesterday 02:36 pm Go to last post
  14. removing deleted object from existing selection set

    i have selection set and some of object inside of it are deleted. How to remove them from ss? I tried to do it myself but my code dont work. My code: (setq n 0) (setq ssx ss) (setq x (sslength...

    Started by Trmsa‎, 19th Oct 2017 08:15 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 411
    Yesterday 11:53 am Go to last post
  15. Replace block attribute values

    Hi again legends. I need your help once again. I dont know how to replace/set block attribute values when I insert it via lisp if it has more than 1 line (vertically). If it is only one line...

    Started by Russello‎, 19th Oct 2017 04:22 pm
    • Replies: 9
    • Views: 273
    21st Oct 2017 05:25 am Go to last post
  16. Edited block flag

    I have a routine that draws some basic geometry in a blocks, sometimes this needs some basic editing 'by hand' is there a way to check/flag if the block has been edited? I'm really trying to avoid...

    Started by dan113‎, 13th Oct 2017 11:44 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 391
    20th Oct 2017 10:17 pm Go to last post
  17. I need an additional LISP lesson

    Hi together, I'm looking for a "jump mark" or a "goto-function" but there is no one. I need a simplification of my code because I don't want to write the programs e.g.(program 1), (program 2),......

    Started by Bluebird1973‎, 12th Oct 2017 07:57 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 430
    20th Oct 2017 02:16 pm Go to last post
  18. Small question about select blocks within LISP

    I am trying to select all blocks with the suffix "_PLAN". For some reason this command sucessfully loads but isnt recognized. I'm also not sure if the way i search for blocks with that suffix is...

    Started by K Baden‎, 19th Oct 2017 02:39 pm
    • Replies: 3
    • Views: 163
    19th Oct 2017 06:11 pm Go to last post
  19. Need help in upgrading my LISP

    Hello Legends, I have a LISP routine here that determines a scale of a certain polygon (usually a polyline). The routine goes this way, the user will click the extreme north, south, east, and west...

    Started by Russello‎, 18th Oct 2017 05:13 pm
    scale determination
    • Replies: 3
    • Views: 199
    19th Oct 2017 01:54 pm Go to last post
  20. Smile Block edit & rotation lisp required....Urgent

    Hi Friends, I require a lisp file to convert the block to Text in required format(as shown in attached Picture). actually i have lots of blocks in my drawing,all to be converted to the below shown...

    Started by amb2301‎, 9th Oct 2017 06:24 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 488
    19th Oct 2017 01:41 pm Go to last post
  21. Quick 3 Point Circle

    In my line of work we utilize 3 point circles a lot. I am trying to create a program that does the following: - User can only select 3 points using a window. If more or less are selected, an error...

    Started by Ohnoto‎, 5th May 2012 11:53 pm
    • Replies: 9
    • Views: 4,741
    19th Oct 2017 12:54 pm Go to last post
  22. Help settinig up a couple cleanup LISP routines

    Hello all .. new to the board, my first post. I am cleaning up a number of drawings (sometimes 100 or 150 at a time) and am trying to set up a couple LISP routines to help. Can anyone help with...

    Started by chip‎, 18th Oct 2017 02:21 pm
    circle, cleanup, lengthen
    • Replies: 5
    • Views: 219
    19th Oct 2017 05:26 am Go to last post
  23. Justify Mleader text to the arrow.

    I have a bit a head scratcher. I want a lisp that when run I will be able to select the whole drawing and all the mleaders will automatically justify to the side that the leader and arrow is on....

    Started by aawilds‎, 18th Oct 2017 06:16 pm
    autolisp, mleader
    • Replies: 6
    • Views: 205
    18th Oct 2017 08:09 pm Go to last post
  24. Run a LISP last when opening a drawing

    Good morning, I hope the title says it all. How do you force a LISP routine to run last when a drawing is opened? I have a LISP with a few commands in it which run when the drawing opens -...

    Started by Steven P‎, 18th Oct 2017 10:11 am
    • Replies: 7
    • Views: 218
    18th Oct 2017 04:30 pm Go to last post
  25. AutoCAD File name to attributed block

    Hello, new user here! :) I have an old LSP that I've always run with a VBE that takes a portion of the file name and inserts it into an attributed block inside all the drawings in a directory that...

    Started by bnmosier‎, 18th Oct 2017 03:11 pm
    • Replies: 5
    • Views: 172
    18th Oct 2017 04:13 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts